Bug 100806 - New port: x11-wm/dwm small and fast dynamic window manager
Summary: New port: x11-wm/dwm small and fast dynamic window manager
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-25 13:50 UTC by Jeroen Schot
Modified: 2006-07-30 14:04 UTC (History)
0 users

See Also:


Attachments
file.shar (3.07 KB, text/plain)
2006-07-25 13:50 UTC, Jeroen Schot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Schot 2006-07-25 13:50:19 UTC
dwm is a minimalistic window manager. It manages windows in tiling and floating
modes, much like ion, larswm and wmii. dwm however is much smaller, faster and
simpler.

It consists of a single binary and configuration is done by editing the source
code, which makes it fast and secure. dwm reads from standard input to print
arbitrary status text such as the date and/or system load.

WWW:            http://10kloc.org/dwm/
Comment 1 Emanuel Haupt freebsd_committer 2006-07-28 22:37:59 UTC
It fails on 6.x:

building dwm-0.5 in directory /usr/local/space/6.1-RELEASE
maintained by: schot@a-eskwadraat.nl
port directory: /usr/ports/x11-wm/dwm
build started at Fri Jul 28 23:35:52 CEST 2006
FETCH_DEPENDS=
PATCH_DEPENDS=
EXTRACT_DEPENDS=
BUILD_DEPENDS=
RUN_DEPENDS=
add_pkg
================================================================
====================<phase 1: make checksum>====================
=> dwm-0.5.tar.gz doesn't seem to exist in /tmp/distfiles/.
=> Attempting to fetch from http://10kloc.org/download/.
dwm-0.5.tar.gz                                          13 kB  142 kBps
=> MD5 Checksum OK for dwm-0.5.tar.gz.
=> SHA256 Checksum OK for dwm-0.5.tar.gz.
================================================================
====================<phase 2: make extract>====================
add_pkg
===>  Extracting for dwm-0.5
=> MD5 Checksum OK for dwm-0.5.tar.gz.
=> SHA256 Checksum OK for dwm-0.5.tar.gz.
================================================================
====================<phase 3: make patch>====================
add_pkg
===>  Patching for dwm-0.5
===>  Applying FreeBSD patches for dwm-0.5
patch: **** malformed patch at line 18: @@ -13,7 +13,7 @@
=> Patch patch-config.mk failed to apply cleanly.
*** Error code 1

Stop in /a/ports/x11-wm/dwm.
================================================================
build of /usr/ports/x11-wm/dwm ended at Fri Jul 28 23:35:53 CEST 2006
Comment 2 Jeroen Schot 2006-07-29 17:35:16 UTC
Hmm, the shell archive had a newline removed, which caused a malformed
patch. Below is a fixed archive.

-Jeroen Schot

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dwm
#	dwm/Makefile
#	dwm/distinfo
#	dwm/files
#	dwm/files/patch-config.mk
#	dwm/pkg-descr
#
echo c - dwm
mkdir -p dwm > /dev/null 2>&1
echo x - dwm/Makefile
sed 's/^X//' >dwm/Makefile << 'END-of-dwm/Makefile'
X# New ports collection makefile for:   dwm
X# Date created:                July 24, 2006
X# Whom:                        Jeroen Schot <schot@a-eskwadraat.nl>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      dwm
XPORTVERSION=   0.5
XCATEGORIES=    x11-wm
XMASTER_SITES=  http://10kloc.org/download/
X
XMAINTAINER=    schot@a-eskwadraat.nl
XCOMMENT=       Dynamic Window Manager for the X Window System
X
XPLIST_FILES=   bin/dwm
X
X.if defined(NOPORTDOCS)
XINSTALL_TARGET=        SUBDIRS=src install-exec
X.else
XMAN1=          dwm.1
X.endif
X
X.include <bsd.port.mk>
END-of-dwm/Makefile
echo x - dwm/distinfo
sed 's/^X//' >dwm/distinfo << 'END-of-dwm/distinfo'
XMD5 (dwm-0.5.tar.gz) = e8dfa2d3502d6bc9aeb9f0f21ab2dec5
XSHA256 (dwm-0.5.tar.gz) = d025d5a43dc09fa81985ea41363cd2dbc967a8923d6b62a930a7238a56ca1473
XSIZE (dwm-0.5.tar.gz) = 13795
END-of-dwm/distinfo
echo c - dwm/files
mkdir -p dwm/files > /dev/null 2>&1
echo x - dwm/files/patch-config.mk
sed 's/^X//' >dwm/files/patch-config.mk << 'END-of-dwm/files/patch-config.mk'
X--- config.mk.orig	Fri Jul 28 23:54:44 2006
X+++ config.mk	Fri Jul 28 23:56:36 2006
X@@ -1,11 +1,11 @@
X # Customize to fit your system
X 
X # paths
X-PREFIX = /usr/local
X-MANPREFIX = ${PREFIX}/share/man
X+#PREFIX = /usr/local
X+MANPREFIX = ${PREFIX}/man
X 
X-X11INC = /usr/X11R6/include
X-X11LIB = /usr/X11R6/lib
X+X11INC = $(X11BASE)/include
X+X11LIB = $(X11BASE)/lib
X 
X VERSION = 0.5
X 
X@@ -13,7 +13,7 @@
X LIBS = -L${PREFIX}/lib -L/usr/lib -lc -L${X11LIB} -lX11
X 
X # Linux/BSD
X-CFLAGS = -O3 -I. -I${PREFIX}/include -I/usr/include -I${X11INC} \
X+CFLAGS+= -O3 -I. -I${PREFIX}/include -I/usr/include -I${X11INC} \
X 	-DVERSION=\"${VERSION}\"
X LDFLAGS = ${LIBS}
X #CFLAGS = -g -Wall -O2 -I. -I${PREFIX}/include -I/usr/include -I${X11INC} \
X@@ -26,5 +26,5 @@
X #LIBS += -lnsl -lsocket
X 
X AR = ar cr
X-CC = cc
X+CC?= cc
X RANLIB = ranlib
END-of-dwm/files/patch-config.mk
echo x - dwm/pkg-descr
sed 's/^X//' >dwm/pkg-descr << 'END-of-dwm/pkg-descr'
Xdwm is a minimalistic window manager. It manages windows in tiling and floating
Xmodes, much like ion, larswm and wmii. dwm however is much smaller, faster and
Xsimpler.
X
XIt consists of a single binary and configuration is done by editing the source
Xcode, which makes it fast and secure. dwm reads from standard input to print
Xarbitrary status text such as the date and/or system load.
X
X- Jeroen Schot
Xschot@a-eskwadraat.nl
X
XWWW:           http://10kloc.org/dwm/
END-of-dwm/pkg-descr
exit
Comment 3 Emanuel Haupt freebsd_committer 2006-07-29 19:39:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 4 Emanuel Haupt freebsd_committer 2006-07-30 14:04:09 UTC
State Changed
From-To: open->closed

New port added. Thanks!